#
# spec file for package bcg729
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover   0
Name:           bcg729
Version:        1.1.1
Release:        3.4
Summary:        Encoder and decoder of the ITU G.729 Annex A/B speech codec
License:        GPL-3.0-only
URL:            https://www.linphone.org/technical-corner/bcg729
Source:         https://gitlab.linphone.org/BC/public/bcg729/-/archive/%{version}/bcg729-%{version}.tar.gz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE bcg729-fix-pkgconfig.patch sor.alexei@meowr.ru -- Install libbcg729.pc.
Patch0:         bcg729-fix-pkgconfig.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig

%description
Bcg729 is an implementation of both encoder and decoder of the ITU
G.729 Annex A/B speech codec. It supports concurrent channels
encoding/decoding for multi call application such as conferencing.

%package -n lib%{name}-%{sover}
Summary:        Encoder and decoder of the ITU G.729 Annex A/B speech codec

%description -n lib%{name}-%{sover}
Bcg729 is an implementation of both encoder and decoder of the ITU
G.729 Annex A/B speech codec. It supports concurrent channels
encoding/decoding for multi call application such as conferencing.

%package devel
Summary:        Development files for libbcg729
Requires:       lib%{name}-%{sover} = %{version}

%description devel
This package includes the files necessary for compiling and linking
application which will use libbcg729.

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_TESTS=ON   \
  -DENABLE_STATIC=OFF \
  -DENABLE_STRICT=OFF
%cmake_build

%install
%cmake_install

%post -n lib%{name}-%{sover} -p /sbin/ldconfig
%postun -n lib%{name}-%{sover} -p /sbin/ldconfig

%files -n lib%{name}-%{sover}
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{_libdir}/lib%{name}.so.%{sover}*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_datadir}/Bcg729/
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Feb  1 2022 Giacomo Comes <gcomes.obs@gmail.com>
- fixed license tag
* Sat May  8 2021 Dirk Müller <dmueller@suse.com>
- update to 1.1.1:
  * compatibility with old compilers
  * Fixed infinite loop in VAD module and overflow in encoder
  * build scripts fixes
* Mon Nov 18 2019 Simon Lees <sflees@suse.de>
- %%make_jobs is depricated replaced by %%cmake_build
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Fri Jan 18 2019 Martin Pluskal <mpluskal@suse.com>
- Use correct macros for cmake build
* Fri Jul 21 2017 sor.alexei@meowr.ru
- Update to version 1.0.4:
  * Build system fixes.
- Remove bcg729-1.0.3-fix-includedir.patch: fixed upstream.
* Mon Jul  3 2017 jengelh@inai.de
- RPM group/description correction.
* Sun Jul  2 2017 sor.alexei@meowr.ru
- Initial package.
